Bug 4141 - reconcile 3.0.x and HEAD database updates for 3.2.0
Summary: reconcile 3.0.x and HEAD database updates for 3.2.0
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: rel_3_2
Hardware: PC All
: P1 - high critical (vote)
Target Milestone: Oldversions
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-08 07:20 UTC by Galen Charlton
Modified: 2018-12-16 19:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Error log with updatedatabase.pl errors produced during upgrade from 3.0002012 to 3.0100134 (8.94 KB, text/plain)
2010-05-12 01:17 UTC, Chris Cormack
Details
A more readable version (2.88 KB, text/plain)
2010-05-12 01:24 UTC, Chris Cormack
Details
Partial fix (1.38 KB, patch)
2010-05-12 01:48 UTC, Chris Cormack
Details | Diff | Splinter Review
Partial fix: corrected spelling (1.38 KB, patch)
2010-05-12 02:25 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:23:37 UTC


---- Reported by gmcharlt@gmail.com 2010-02-08 19:20:25 ----

Compare database updates added in origin/3.0.x with those added in HEAD add scripts as needed to provide upgrade from 3.0.x to 3.2.0.



---- Additional Comments From cnighswonger@foundations.edu 2010-05-12 01:17:53 ----

Created an attachment
Error log with updatedatabase.pl errors produced during upgrade from 3.0002012 to 3.0100134





---- Additional Comments From cnighswonger@foundations.edu 2010-05-12 01:24:52 ----

Created an attachment
A more readable version





---- Additional Comments From cnighswonger@foundations.edu 2010-05-12 01:48:12 ----

Created an attachment
Partial fix





---- Additional Comments From cnighswonger@foundations.edu 2010-05-12 02:25:06 ----

Created an attachment
Partial fix: corrected spelling





---- Additional Comments From gmcharlt@gmail.com 2010-05-12 12:06:38 ----

(In reply to comment #4)
> Created an attachment [details]
> Partial fix: corrected spelling
> 

Pushed.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:23 UTC  ---

This bug was previously known as _bug_ 4141 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4141
Imported an attachment (id=1866)
Imported an attachment (id=1867)
Imported an attachment (id=1868)
Imported an attachment (id=1869)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 1866 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1867 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1868 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1869 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Chris Cormack 2010-05-22 08:27:46 UTC
The patch looks good, Chris N, can you test and confirm it now looks good and resolve the bug.
Comment 2 Chris Nighswonger 2010-05-22 09:23:59 UTC
I think this is only a partial fix. Galen needs to comment on this before I close it.
Comment 3 Galen Charlton 2010-05-24 14:04:44 UTC
A general note - there are a LOT of patches in 3.0.x that have no equivalent in master.
Comment 4 Galen Charlton 2010-05-24 14:07:18 UTC
3.0.x commit f33e65499b0d00637dc7627c6ead4f6849cc2a96 (MT 1816: Granular permissions for the serials module) introduces a set of granular permissions for serials.  This was never submitted for HEAD by BibLibre or the 3.0 RMaint.
Comment 5 Chris Cormack 2010-06-16 04:39:25 UTC
I have cherry picked across f33e65499b0d00637dc7627c6ead4f6849cc2a96

Will try to do some more
Comment 6 MJ Ray (software.coop) 2010-07-07 19:17:04 UTC
Updating version as described in http://wiki.koha-community.org/wiki/General_IRC_Meeting,_7_July_2010
Comment 7 Galen Charlton 2010-10-22 02:27:43 UTC
Bumping to 3.4 for final reconciliation.  Hopefully some of this can be backported to 3.2.1+ as well.
Comment 8 Galen Charlton 2010-11-03 17:52:10 UTC
Submitted patch for issue with setting the OPAC XSLT display sysprefs during upgrade.
Comment 9 Chris Nighswonger 2010-11-18 03:15:25 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 10 Chris Nighswonger 2010-11-19 18:03:41 UTC
Backing the importance down to critical.
Comment 11 MJ Ray (software.coop) 2010-12-12 19:16:03 UTC
This bug is mentioned in:
bug 4141: fix upgrade of OPAC XSLT	parameters from 3.0.x http://lists.koha-community.org/pipermail/koha-patches/2010-November/012832.html
Comment 12 Paul Poulain 2011-10-24 13:58:01 UTC
We can close this bug, isn't it?